> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Get boarding link by template ID

GET https://api-sandbox.payabli.com/api/Boarding/linkbyTemplate/{templateId}

Get details for a boarding link using the boarding template ID. This endpoint requires an application API token.

Reference: https://docs.payabli.com/developers/api-reference/boarding/get-boarding-link-by-template-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.
- `requestToken` header (required) — Long-lived API token sent in the `requestToken` header. See [API token authentication](/developers/api-tokens).

## Servers

- `https://api-sandbox.payabli.com/api` (Sandbox, default)
- `https://api.payabli.com/api` (Production)

## Request

### Path parameters

- `templateId` (double, required) — The boarding template ID. You can find this at the end of the boarding template URL in the Payabli Portal. Example: `https://partner-sandbox.payabli.com/myorganization/boarding/edittemplate/80`. Here, the template ID is `80`.

## Response

### 200

Success

- `acceptOauth` (boolean, optional)
- `acceptRegister` (boolean, optional)
- `builderData` (object, optional)
  - `services` (object, optional)
    - `ach` (object, optional)
      - `acceptance` (object, optional)
        - `ccd` (object, optional)
          - `ro` (boolean, optional) — When `true`, the element is read-only.
          - `rq` (boolean, optional) — When `true`, the element is required.
          - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
          - `value` (string, optional)
        - `ppd` (object, optional)
          - `ro` (boolean, optional) — When `true`, the element is read-only.
          - `rq` (boolean, optional) — When `true`, the element is required.
          - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
          - `value` (string, optional)
        - `web` (object, optional)
          - `ro` (boolean, optional) — When `true`, the element is read-only.
          - `rq` (boolean, optional) — When `true`, the element is required.
          - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
          - `value` (string, optional)
      - `fees` (object, optional)
        - `body` (list of object, optional)
          - `columns` (list of object, optional)
            - `ro` (boolean, optional) — When `true`, the element is read-only.
            - `rq` (boolean, optional) — When `true`, the element is required.
            - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
            - `value` (string, optional)
        - `header` (object, optional)
          - `columns` (list of object, optional)
            - `ro` (boolean, optional) — When `true`, the element is read-only.
            - `rq` (boolean, optional) — When `true`, the element is required.
            - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
            - `value` (string, optional)
      - `price` (object, optional)
        - `body` (list of object, optional)
          - `columns` (list of object, optional)
            - `ro` (boolean, optional) — When `true`, the element is read-only.
            - `rq` (boolean, optional) — When `true`, the element is required.
            - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
            - `value` (string, optional)
        - `header` (object, optional)
          - `columns` (list of object, optional)
            - `ro` (boolean, optional) — When `true`, the element is read-only.
            - `rq` (boolean, optional) — When `true`, the element is required.
            - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
            - `value` (string, optional)
    - `card` (object, optional)
      - `acceptance` (object, optional)
        - `amex` (object, optional)
          - `ro` (boolean, optional) — When `true`, the element is read-only.
          - `rq` (boolean, optional) — When `true`, the element is required.
          - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
          - `value` (string, optional)
        - `discover` (object, optional)
          - `ro` (boolean, optional) — When `true`, the element is read-only.
          - `rq` (boolean, optional) — When `true`, the element is required.
          - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
          - `value` (string, optional)
        - `mastercard` (object, optional)
          - `ro` (boolean, optional) — When `true`, the element is read-only.
          - `rq` (boolean, optional) — When `true`, the element is required.
          - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
          - `value` (string, optional)
        - `visa` (object, optional)
          - `ro` (boolean, optional) — When `true`, the element is read-only.
          - `rq` (boolean, optional) — When `true`, the element is required.
          - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
          - `value` (string, optional)
      - `fees` (object, optional)
        - `body` (list of object, optional)
          - `columns` (list of object, optional)
            - `ro` (boolean, optional) — When `true`, the element is read-only.
            - `rq` (boolean, optional) — When `true`, the element is required.
            - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
            - `value` (string, optional)
        - `header` (object, optional)
          - `columns` (list of object, optional)
            - `ro` (boolean, optional) — When `true`, the element is read-only.
            - `rq` (boolean, optional) — When `true`, the element is required.
            - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
            - `value` (string, optional)
      - `price` (object, optional)
        - `body` (list of object, optional)
          - `columns` (list of object, optional)
            - `ro` (boolean, optional) — When `true`, the element is read-only.
            - `rq` (boolean, optional) — When `true`, the element is required.
            - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
            - `value` (string, optional)
        - `header` (object, optional)
          - `columns` (list of object, optional)
            - `ro` (boolean, optional) — When `true`, the element is read-only.
            - `rq` (boolean, optional) — When `true`, the element is required.
            - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
            - `value` (string, optional)
  - `attributes` (object, optional)
    - `minimumDocuments` (integer, optional)
    - `multipleContacts` (boolean, optional)
    - `multipleOwners` (boolean, optional)
  - `banking` (object, optional)
    - `depositAccount` (object, optional)
      - `accountNumber` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `bankName` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `routingAccount` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `typeAccount` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
    - `withdrawalAccount` (object, optional)
      - `accountNumber` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `bankName` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `routingAccount` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `typeAccount` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
  - `business` (object, optional)
    - `address` (object, optional)
      - `baddress` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `baddress1` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `bcity` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `bcountry` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `bstate` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `bzip` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `maddress` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `maddress1` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `mcity` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `mcountry` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `mstate` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `mzip` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
    - `details` (object, optional)
      - `btype` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `dbaname` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ein` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `faxnumber` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `legalname` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `license` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `licstate` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `phonenumber` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `startdate` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `taxfillname` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `website` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
  - `owners` (object, optional)
    - `contact_list` (object, optional)
      - `contactEmail` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `contactName` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `contactPhone` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `contactTitle` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
    - `own_list` (object, optional)
      - `oaddress` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ocity` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ocountry` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `odriverstate` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ostate` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ownerdob` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ownerdriver` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `owneremail` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ownername` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ownerpercent` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ownerphone1` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ownerphone2` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ownerssn` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ownertitle` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
      - `ozip` (object, optional)
        - `ro` (boolean, optional) — When `true`, the element is read-only.
        - `rq` (boolean, optional) — When `true`, the element is required.
        - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
        - `value` (string, optional)
  - `processing` (object, optional)
    - `avgmonthly` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `binperson` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `binphone` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `binweb` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `bsummary` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `highticketamt` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `mcc` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `ticketamt` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `whenCharged` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `whenDelivered` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `whenProvided` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
    - `whenRefunded` (object, optional)
      - `ro` (boolean, optional) — When `true`, the element is read-only.
      - `rq` (boolean, optional) — When `true`, the element is required.
      - `validator` (string, optional) — The type of validation applied to the field. Available values: - `text` - `alpha` - `ein` - `url` - `phone` - `alphanumeric` - `zipcode` - `numbers` - `float` - `ssn` - `email` - `routing`
      - `value` (string, optional)
- `entryAttributes` (string, optional)
- `id` (long, optional)
- `logo` (object, optional) — Object containing logo file.
  - `fContent` (string, optional) — Content of file, Base64-encoded. Ignored if `furl` is specified. Max upload size is 30 MB.
  - `filename` (string, optional) — The name of the attached file.
  - `ftype` (enum, optional) — The MIME type of the file (if content is provided).
    - Allowed values: `pdf`, `doc`, `docx`, `jpg`, `jpeg`, `png`, `gif`, `txt`
  - `furl` (string, optional) — Optional URL provided to show or download the file remotely.
- `orgId` (long, optional) — Organization ID. Unique identifier assigned to an org by Payabli.
- `pageIdentifier:` (string, optional) — Auxiliary validation used internally by payment pages and components.
- `recipientEmailNotification` (boolean, optional) — When `true`, Payabli will send the applicant a boarding link. Set this value to `false` if you are sending pre-filled applications via the API and don't want Payabli to send the applicant an email to complete the boarding application.
- `referenceName` (string, optional)
- `referenceTemplateId` (long, optional)
- `resumable` (boolean, optional) — When `true`, the applicant can save an incomplete application and resume it later. When `false`, the applicant won't have an option to save their progress, and must complete the application in one session.

## Errors

### 400 Bad Request Error

Bad request / invalid data.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (object, optional) — Object with detailed error context.
  - `explanation` (string, optional) — Human-readable explanation of what happened.
  - `todoAction` (string, optional) — Suggested resolution.

### 401 Unauthorized Error

Unauthorized request.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (object, optional) — Object with detailed error context.
  - `explanation` (string, optional) — Human-readable explanation of what happened.
  - `todoAction` (string, optional) — Suggested resolution.

### 500 Internal Server Error

Internal server error.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (object, optional) — Object with detailed error context.
  - `explanation` (string, optional) — Human-readable explanation of what happened.
  - `todoAction` (string, optional) — Suggested resolution.

### 503 Service Unavailable Error

Database connection error.

- `isSuccess` (boolean, required) — Always `false` for error responses.
- `responseText` (string, required) — Error text describing what went wrong.
- `responseCode` (integer, optional) — Code for the response. Learn more in [API Response Codes](/developers/api-reference/api-responses).
- `responseData` (object, optional) — Object with detailed error context.
  - `explanation` (string, optional) — Human-readable explanation of what happened.
  - `todoAction` (string, optional) — Suggested resolution.

## Examples

**Response**

```json
{
  "acceptOauth": false,
  "acceptRegister": false,
  "builderData": {
    "attributes": {
      "minimumDocuments": 1,
      "multipleContacts": true,
      "multipleOwners": true
    }
  },
  "entryAttributes": "entryAttributes",
  "id": 1000000,
  "logo": {
    "fContent": "TXkgdGVzdCBmaWxlHJ==...",
    "filename": "my-doc.pdf",
    "ftype": "pdf",
    "furl": "https://mysite.com/my-doc.pdf"
  },
  "orgId": 123,
  "pageIdentifier:": "null",
  "recipientEmailNotification": true,
  "referenceName": "payabli-00710",
  "referenceTemplateId": 1830,
  "resumable": false
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient({
        clientId: "YOUR_CLIENT_ID",
        clientSecret: "YOUR_CLIENT_SECRET",
    });
    await client.boarding.getByTemplateIdLinkApplication(80);
}
main();

```

```python
from payabli import payabli

client = payabli(
    client_id="YOUR_CLIENT_ID",
    client_secret="YOUR_CLIENT_SECRET",
)

client.boarding.get_by_template_id_link_application(
    template_id=80,
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliApiClient;

public class Example {
    public static void main(String[] args) {
        PayabliApiClient client = PayabliApiClient.withCredentials("YOUR_CLIENT_ID", "YOUR_CLIENT_SECRET")
            .build()
        ;

        client.boarding().getByTemplateIdLinkApplication(80.0);
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new(api_key: "YOUR_API_KEY_HERE")

client.boarding.get_by_template_id_link_application(template_id: 80)

```

```csharp
using PayabliApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new PayabliApiClient(
            clientId: "YOUR_CLIENT_ID",
            clientSecret: "YOUR_CLIENT_SECRET"
        );

        await client.Boarding.GetByTemplateIdLinkApplicationAsync(
            80
        );
    }

}

```

```go
package example

import (
    context "context"

    client "github.com/payabli/sdk-go/client"
    option "github.com/payabli/sdk-go/option"
)

func do() {
    client := client.NewClient(
        option.WithClientCredentials(
            "YOUR_CLIENT_ID",
            "YOUR_CLIENT_SECRET",
        ),
    )
    client.Boarding.GetByTemplateIdLinkApplication(
        context.TODO(),
        80,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;

$client = new PayabliClient(
    clientId: 'YOUR_CLIENT_ID',
    clientSecret: 'YOUR_CLIENT_SECRET',
);
$client->boarding->getByTemplateIdLinkApplication(
    80,
);

```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/Boarding/linkbyTemplate/80")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```